Welcome to the DNN Community Forums, your preferred source of online community support for all things related to DNN.
In order to participate you must be a registered DNNizen

HomeHomeUsing DNN Platf...Using DNN Platf...Administration ...Administration ...Subject: DNN 07.02.01 Community - Unable to override JQuery versionSubject: DNN 07.02.01 Community - Unable to override JQuery version
Previous
 
Next
New Post
2/11/2014 2:59 PM
 

I'm developing a skin and wanted to test with a newer JQuery version than the installed default.

Action taken: Site Settings -> Advanced Settings -> JQuery Settings

Check use hosted jQuery URL, specified URLs as shown below:

http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js
http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/jquery-ui.min.js

Result - installed jquery still being used. It this just a syntax error on my part?  I also tried without http: but the results were the same.

Also - a similar but different issue was noted. I'm pretty sure this is a bug.

Go to Site Settings -> Advanced Settings -> CDN Settings.  Click Use javascript libraries CDN.

Result - Hosted urls for jquery 1.9.1, jquery.migrate  1.2.1 and jquery.ui 1.10.3 are present, but preceded by an inline script with a syntax error as shown:

    <script>
        if (typeof jQuery == 'undefined') {document.write('<script src='/Resources/libraries/jQuery/1.9.1/jquery.js' type='text/javascript'>}
    </script>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js?cdv=69" type="text/javascript"></script>
    <script src="http://code.jquery.com/jquery-migrate-1.2.1.min.js?cdv=69" type="text/javascript"></script>
    <script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js?cdv=69" type="text/javascript"></script>

Is this a bug, or am I doing something wrong?  Is there a way to specify a non-default jquery version other than overwriting the installed jquery files?

Thanks,
David

 

 
New Post
2/11/2014 9:06 PM
Accepted Answer 
7.2.0 introduced the concept of javascript libraries (you can see these under host->extensions) - if you want to change the version that's how to change it . Some of the UI was still left in place and will be removed in 7.2.2 (and we'll fix a bug in CDN usage)

Buy the new Professional DNN7: Open Source .NET CMS Platform book Amazon US
 
New Post
2/12/2014 7:44 AM
 
cathal connolly wrote:

7.2.0 introduced the concept of javascript libraries (you can see these under host->extensions) - if you want to change the version that's how to change it . Some of the UI was still left in place and will be removed in 7.2.2 (and we'll fix a bug in CDN usage)

 Cathal,

 

Thanks for the response.  I was able to change the jquery versions via host->extensions.  It is worth noting that these don't become active until you go to host->settings->advanced settings->CDN settings and click the 'Use javascript libraries CDN?' checkbox.  It might be a good idea to provide an informative message when the extension is overridden but not active.

Also, along with fixing the inline fallback script - shouldn't it also provide fallback logic for migrate and ui?

Thanks again,

David

 
New Post
2/12/2014 10:11 AM
 
thanks for the update, i'll be looking at this again shortly to verify all planned use cases (and then document on the wiki) - as for fallback, yes - however what should happen is that jquery has jqueryhistory and jqueryui as dependencies and they individually register fallback. However for historical reasons there is some slightly different behaviour here that I will have to inspect and see if I can tweak.

Buy the new Professional DNN7: Open Source .NET CMS Platform book Amazon US
 
Previous
 
Next
HomeHomeUsing DNN Platf...Using DNN Platf...Administration ...Administration ...Subject: DNN 07.02.01 Community - Unable to override JQuery versionSubject: DNN 07.02.01 Community - Unable to override JQuery version


These Forums are dedicated to discussion of DNN Platform and Evoq Solutions.

For the benefit of the community and to protect the integrity of the ecosystem, please observe the following posting guidelines:

  1. No Advertising. This includes promotion of commercial and non-commercial products or services which are not directly related to DNN.
  2. No vendor trolling / poaching. If someone posts about a vendor issue, allow the vendor or other customers to respond. Any post that looks like trolling / poaching will be removed.
  3. Discussion or promotion of DNN Platform product releases under a different brand name are strictly prohibited.
  4. No Flaming or Trolling.
  5. No Profanity, Racism, or Prejudice.
  6. Site Moderators have the final word on approving / removing a thread or post or comment.
  7. English language posting only, please.

Content Layout

Subscribe to DNN Digest

Subscribe to DNN Digest

DNN Digest is our monthly email newsletter. It highlights news and content from around the DNN ecosystem, such as new modules and themes, messages from leadership, blog posts and notable tweets. Keep your finger on the pulse of the ecosystem by subscribing.  


Copyright 2017 by DNN Corp Terms of Use Privacy
What is Liquid Content?
Find Out
What is Liquid Content?
Find Out
What is Liquid Content?
Find Out